Bug Hunting Session
Bug 121991 - FILEOPEN XLSX implement feature to disable legend entry for series
Summary: FILEOPEN XLSX implement feature to disable legend entry for series
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: filter:xlsx
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2018-12-09 02:13 UTC by Luke
Modified: 2019-12-14 16:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2018-12-09 02:13:53 UTC
This is a follow up to Bug 51671 which added support for disabling legend entries in XLS and ODF. 

Steps to Reproduce:
1. Open XLSX  attachment 147392 [details]
2. Compare with XLS attachment 63733 [details]

XLS support was added in https://cgit.freedesktop.org/libreoffice/core/commit/?id=c32a4c2fac32
Comment 1 Xisco Faulí 2018-12-19 09:27:43 UTC
Moving to New based on bug 51671
Comment 2 Commit Notification 2019-12-12 09:42:50 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cea1ae2a4f7abdcfc3874d714bdafef801910c1c

tdf#121991 Chart OOXML import: fix deleted legend entries

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-12-14 16:47:04 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/92f96e41223ad174ff32901f71ce0d64b6a0eade

tdf#121991 Chart OOXML import: fix deleted legend entries

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.